<div class="box-body">

<div class="padd-lr10">
<div class="box boxStyle2 infoBox margin-b15">
<div class="padd10t">

<table id="tableN" class="col-md-12">
<tr class='tabTop'>
<td colspan="2">

<?PHP 
define("DATA_FILE", "./../configure/configadmin-d.inc.php");
extract($_POST);
$companyD=($_POST['companyD']);
$firstnameD=($_POST['firstnameD']);
$lastnameD=($_POST['lastnameD']);
$streetD=($_POST['streetD']);
$plzD=($_POST['plzD']);
$cityD=($_POST['cityD']);
$landD=($_POST['landD']);
$emailD=($_POST['emailD']);

if (isset($_POST['save'])) {
if (strlen(@$_POST[companyD])<=0){@$_POST[companyD]="";}
if (strlen(@$_POST[firstnameD])<=0){@$_POST[firstnameD]="";}
if (strlen(@$_POST[lastnameD])<=0){@$_POST[lastnameD]="";}
if (strlen(@$_POST[streetD])<=0){@$_POST[streetD]="";}
if (strlen(@$_POST[plzD])<=0){@$_POST[plzD]="";}
if (strlen(@$_POST[cityD])<=0){@$_POST[cityD]="";}
if (strlen(@$_POST[landD])<=0){@$_POST[landD]="";}
if (strlen(@$_POST[emailD])<=0){@$_POST[emailD]="";}
$Message=SaveData();}
else{
@die ("
<span class='resF'>".$resultFalse."</span>
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
");
return ($tag);
}

function SaveData(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE);
$t=chr(34);

$patterns[0]='/companyD=(.+?);/';
$patterns[1]='/firstnameD=(.+?);/';
$patterns[2]='/lastnameD=(.+?);/';
$patterns[3]='/streetD=(.+?);/';
$patterns[4]='/plzD=(.+?);/';
$patterns[5]='/cityD=(.+?);/';
$patterns[6]='/landD=(.+?);/';
$patterns[7]='/emailD=(.+?);/';

@$replacements[0]=sprintf("companyD=%s%s%s;",$t,$_POST[companyD],$t);
@$replacements[1]=sprintf("firstnameD=%s%s%s;",$t,$_POST[firstnameD],$t);
@$replacements[2]=sprintf("lastnameD=%s%s%s;",$t,$_POST[lastnameD],$t);
@$replacements[3]=sprintf("streetD=%s%s%s;",$t,$_POST[streetD],$t);
@$replacements[4]=sprintf("plzD=%s%s%s;",$t,$_POST[plzD],$t);
@$replacements[5]=sprintf("cityD=%s%s%s;",$t,$_POST[cityD],$t);
@$replacements[6]=sprintf("landD=%s%s%s;",$t,$_POST[landD],$t);
@$replacements[7]=sprintf("emailD=%s%s%s;",$t,$_POST[emailD],$t);

if ($fp=fopen(DATA_FILE,"w")){
$tag="<?PHP \n";
include("./../languages/$_POST[langX1]/general.inc.php");
@print_r("<span class='resT'>".$resultTrue."</span>");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
include("./../function/savecheck.inc.php");
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}
}

include("./../function/forward-s-i.inc.php");
include("./../function/autoX.inc.php");
echo "
<br>
<br>
<a href='$ilink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
";
?>
</td>
</tr>

</table>
<div class="clearX box-footer"></div>
</div>
</div>
</div>

</div>
